[med-svn] [mauve-aligner] 01/01: Add mauve-contig-mover
Andreas Tille
tille at debian.org
Wed Dec 7 08:17:58 UTC 2016
This is an automated email from the git hooks/post-receive script.
tille pushed a commit to branch master
in repository mauve-aligner.
commit 15a15b8079923ae7aac49aaba40b87d81458f872
Author: Andreas Tille <tille at debian.org>
Date: Wed Dec 7 09:17:34 2016 +0100
Add mauve-contig-mover
---
debian/bin/mauve-contig-mover | 21 +++++++++++++++++++++
1 file changed, 21 insertions(+)
diff --git a/debian/bin/mauve-contig-mover b/debian/bin/mauve-contig-mover
new file mode 100755
index 0000000..0d985cf
--- /dev/null
+++ b/debian/bin/mauve-contig-mover
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+usage() {
+ echo "Usage: $0 -output OUTPUTDIR -ref REF -draft DRAFT"
+ exit 1
+}
+
+if ! echo $* | grep -- -output ; then
+ echo "Missing output dir specified by '-output DIR' ."
+ usage
+fi
+if ! echo $* | grep -- -ref ; then
+ echo "Missing reference specified by '-ref REF' ."
+ usage
+fi
+if ! echo $* | grep -- -draft ; then
+ echo "Missing draft genome specified by '-draft DRAFT' ."
+ usage
+fi
+
+java -Xmx6g -cp /usr/share/java/Mauve.jar org.gel.mauve.contigs.ContigOrderer $*
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/mauve-aligner.git
More information about the debian-med-commit
mailing list